# Maestro Integration Tests — Client App

Auth flows for the KROW Client app.  
See [docs/research/flutter-testing-tools.md](/docs/research/flutter-testing-tools.md) and [maestro-test-run-instructions.md](/docs/research/maestro-test-run-instructions.md).

## Structure

```
maestro/
  auth/
    sign_in.yaml
    sign_up.yaml
```

## Credentials (env, never hardcoded)

| Flow | Env variables |
|------|---------------|
| sign_in | `TEST_CLIENT_EMAIL`, `TEST_CLIENT_PASSWORD` |
| sign_up | `TEST_CLIENT_EMAIL`, `TEST_CLIENT_PASSWORD`, `TEST_CLIENT_COMPANY` |

## Run

```bash
# Via Makefile (export vars first)
make test-e2e-client

# Direct
maestro test apps/mobile/apps/client/maestro/auth/sign_in.yaml \
  -e TEST_CLIENT_EMAIL=... -e TEST_CLIENT_PASSWORD=...
maestro test apps/mobile/apps/client/maestro/auth/sign_up.yaml \
  -e TEST_CLIENT_EMAIL=... -e TEST_CLIENT_PASSWORD=... -e TEST_CLIENT_COMPANY=...
```
